-- define tourism and set base scaling of 20% per difficulty above warlord

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'HIGH_DIFFICULTY_TOURISM_SCALING');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('HIGH_DIFFICULTY_TOURISM_SCALING', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('HIGH_DIFFICULTY_TOURISM_SCALING', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0);

-- High Difficult AI gains progressive bonuses to Yields:
-- +6-20% science and 4-11% culture per game era for every difficulty above warlord
-- +1-15% production, food, gold and faith per player era for every difficulty above warlord  
-- +10-540% tourism per game era for every difficulty above warlord (yes, I added 26 modifiers just to make it that high; keep in mind that future game era will almost never be reached)
-- +2-16% tourism per player era for every difficulty above warlord 

INSERT INTO Modifiers 
		(ModifierId,						ModifierType,											OwnerRequirementSetId) 
VALUES		('TOURISM_SCALING_CLASSICAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('TOURISM_SCALING_MEDIEVAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('TOURISM_SCALING_RENAISSANCE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('TOURISM_SCALING_INDUSTRIAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('TOURISM_SCALING_MODERN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('TOURISM_SCALING_ATOMIC', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('TOURISM_SCALING_INFO', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_FUTURE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_ATOMIC_EXTRAA', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('TOURISM_SCALING_ATOMIC_EXTRAB', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('TOURISM_SCALING_INFO_EXTRAA', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_INFO_EXTRAB', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_INFO_EXTRAC', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_INFO_EXTRAD', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_INFO_EXTRAE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_INFO_EXTRAF', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_INFO_EXTRAG', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_INFO_EXTRAH', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAA', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAB', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAC', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAD', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAF', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAG', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAH', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAI', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAJ', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAK', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAM', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAO', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAP', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAQ', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAS', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAT', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAU', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAV', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAW', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAX', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_FUTURE_EXTRAZ', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_CLASSICAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('TOURISM_SCALING_MODERN_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN'),
		('TOURISM_SCALING_ATOMIC_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC'),
		('TOURISM_SCALING_INFO_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO'),
		('TOURISM_SCALING_FUTURE_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE'),
		('SCIENCE_SCALING_CLASSICAL',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('SCIENCE_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('SCIENCE_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('SCIENCE_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('SCIENCE_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('SCIENCE_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('SCIENCE_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('SCIENCE_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('CULTURE_SCALING_CLASSICAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('CULTURE_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('CULTURE_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('CULTURE_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('CULTURE_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('CULTURE_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('CULTURE_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('CULTURE_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('FAITH_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('FAITH_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('FAITH_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('FAITH_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('FAITH_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('FAITH_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('FAITH_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('FAITH_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('PRODUCTION_SCALING_CLASSICAL',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('PRODUCTION_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('PRODUCTION_SCALING_RENAISSANCE',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('PRODUCTION_SCALING_INDUSTRIAL',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('PRODUCTION_SCALING_MODERN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('PRODUCTION_SCALING_ATOMIC',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('PRODUCTION_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('PRODUCTION_SCALING_FUTURE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('GOLD_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('GOLD_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('GOLD_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('GOLD_SCALING_INDUSTRIAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('GOLD_SCALING_MODERN',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('GOLD_SCALING_ATOMIC',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('GOLD_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('GOLD_SCALING_FUTURE',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('FOOD_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('FOOD_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('FOOD_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('FOOD_SCALING_INDUSTRIAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('FOOD_SCALING_MODERN',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('FOOD_SCALING_ATOMIC',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('FOOD_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('FOOD_SCALING_FUTURE',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE');

INSERT INTO TraitModifiers 
		(TraitType,						ModifierId) 
VALUES	('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_EXTRAA'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_EXTRAB'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAA'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAB'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAC'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAD'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAF'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAG'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_EXTRAH'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAA'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAB'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAC'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAD'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAF'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAG'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAH'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAI'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAJ'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAK'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAM'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAO'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAP'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAQ'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAS'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAT'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAU'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAV'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAW'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAX'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_EXTRAZ'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_FUTURE');

INSERT INTO ModifierArguments 
		(ModifierId,						Name,			Value) 
VALUES	('SCIENCE_SCALING_CLASSICAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MEDIEVAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_RENAISSANCE',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MODERN',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_ATOMIC',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INFO',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_FUTURE',			'YieldType',	'YIELD_SCIENCE'),
		('CULTURE_SCALING_CLASSICAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MEDIEVAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_RENAISSANCE',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MODERN',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_ATOMIC',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INFO',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_FUTURE',			'YieldType',	'YIELD_CULTURE'),
		('FAITH_SCALING_CLASSICAL',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_MEDIEVAL',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_RENAISSANCE',		'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_MODERN',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_ATOMIC',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_INFO',				'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_FUTURE',			'YieldType',	'YIELD_FAITH'),
		('PRODUCTION_SCALING_CLASSICAL',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_MEDIEVAL',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_RENAISSANCE',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_INDUSTRIAL',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_MODERN',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_ATOMIC',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_INFO',			'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_FUTURE',		'YieldType',	'YIELD_PRODUCTION'),
		('GOLD_SCALING_CLASSICAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_MEDIEVAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_RENAISSANCE',		'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_INDUSTRIAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_MODERN',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_ATOMIC',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_INFO',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_FUTURE',				'YieldType',	'YIELD_GOLD'),
		('FOOD_SCALING_CLASSICAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_MEDIEVAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_RENAISSANCE',		'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_INDUSTRIAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_MODERN',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_ATOMIC',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_INFO',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_FUTURE',				'YieldType',	'YIELD_FOOD');

INSERT INTO ModifierArguments 
		(ModifierId,						Name,		Type,								Value,	Extra) 
VALUES	('TOURISM_SCALING_CLASSICAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 5),
		('TOURISM_SCALING_MEDIEVAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 5),
		('TOURISM_SCALING_RENAISSANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 10),
		('TOURISM_SCALING_INDUSTRIAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_MODERN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_ATOMIC', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_ATOMIC_EXTRAA', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_ATOMIC_EXTRAB', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAA', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAB', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAC', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAD', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAF', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAG', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_EXTRAH', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAA', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAB', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAC', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAD', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAF', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAG', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAH', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAI', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAJ', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAK', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAM', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAO', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAP', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAQ', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAS', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAT', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAU', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAV', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAW', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAX', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_FUTURE_EXTRAZ', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_CLASSICAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 2),
		('TOURISM_SCALING_MEDIEVAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 4),
		('TOURISM_SCALING_RENAISSANCE_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 6),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 8),
		('TOURISM_SCALING_MODERN_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 10),
		('TOURISM_SCALING_ATOMIC_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 12),
		('TOURISM_SCALING_INFO_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 14),
		('TOURISM_SCALING_FUTURE_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 16),
		('SCIENCE_SCALING_CLASSICAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		6),
		('SCIENCE_SCALING_MEDIEVAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		8),
		('SCIENCE_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		10),
		('SCIENCE_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		12),
		('SCIENCE_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		14),
		('SCIENCE_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		16),
		('SCIENCE_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		18),
		('SCIENCE_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		20),
		('CULTURE_SCALING_CLASSICAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		4),
		('CULTURE_SCALING_MEDIEVAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('CULTURE_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		6),
		('CULTURE_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('CULTURE_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		8),
		('CULTURE_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('CULTURE_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		10),
		('CULTURE_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('FAITH_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FAITH_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('FAITH_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('FAITH_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('FAITH_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('FAITH_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('FAITH_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('PRODUCTION_SCALING_CLASSICAL',	'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('PRODUCTION_SCALING_MEDIEVAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('PRODUCTION_SCALING_RENAISSANCE',	'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_INDUSTRIAL',	'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('PRODUCTION_SCALING_MODERN',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('PRODUCTION_SCALING_ATOMIC',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('PRODUCTION_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('PRODUCTION_SCALING_FUTURE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('GOLD_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('GOLD_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('GOLD_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('GOLD_SCALING_MODERN',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('GOLD_SCALING_ATOMIC',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('GOLD_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('GOLD_SCALING_FUTURE',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('FOOD_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FOOD_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('FOOD_SCALING_RENAISSANCE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FOOD_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('FOOD_SCALING_MODERN',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('FOOD_SCALING_ATOMIC',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('FOOD_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('FOOD_SCALING_FUTURE',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		15);

UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_PRODUCTION_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_GOLD_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_SCIENCE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_CULTURE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_FAITH_SCALING';

--Requirement Sets
INSERT INTO RequirementSets 
		(RequirementSetId,					RequirementSetType) 
VALUES	('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIREMENTSET_TEST_ALL');


INSERT INTO RequirementSetRequirements 
		(RequirementSetId,					RequirementId) 
VALUES	('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'PLAYER_AT_FUTURE_ERA');